Bug 1277573 - certmonger installation: killall: command not found
certmonger installation: killall: command not found
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: certmonger (Show other bugs)
23
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 09:57 EST by Christian Heimes
Modified: 2016-12-20 10:19 EST (History)
2 users (show)

See Also:
Fixed In Version: certmonger-0.78.4-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:19:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Heimes 2015-11-03 09:57:29 EST
Description of problem:

During the installation of freeipa-server on a minimum installation of Fedora 23, rpm complains about missing command "killall". The killall command is in the psmisc package and not installed by default. The package is installed later, though:

  Installing  : certmonger-0.78.3-1.fc23.x86_64                                                                                                                                  13/216 
/var/tmp/rpm-tmp.884AWE: line 2: killall: command not found
[...]
  Installing  : psmisc-22.21-7.fc23.x86_64                                                                                                                                       26/216 

The problem should be easy to fix: Add "Requires(post): psmisc" to certmonger.spec


Version-Release number of selected component (if applicable):
0.78.3-1.fc23

How reproducible:
Every time

Steps to Reproduce:
1. Install freeipa-server on a minimum installation of Fedora 23.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Nalin Dahyabhai 2015-11-03 14:53:25 EST
For 0.78.4, we're using dbus-send in %post, but it's worth double-checking that we don't have the same problem with that when updating F23 to that version.
Comment 2 Fedora Update System 2015-11-03 15:01:58 EST
certmonger-0.78.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14cb0c1d31
Comment 3 Fedora Update System 2015-11-03 17:56:15 EST
certmonger-0.78.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update certmonger'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14cb0c1d31
Comment 4 Fedora Update System 2016-07-06 15:57:36 EDT
certmonger-0.78.4-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14cb0c1d31
Comment 5 Fedora Update System 2016-07-07 10:10:34 EDT
certmonger-0.78.6-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4f6b2a7218
Comment 6 Fedora Update System 2016-07-09 23:55:25 EDT
certmonger-0.78.4-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14cb0c1d31
Comment 7 Fedora Update System 2016-07-10 11:59:07 EDT
certmonger-0.78.6-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4f6b2a7218
Comment 8 Fedora End Of Life 2016-11-24 08:02:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 10:19:38 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.